Bug 6382 - RH61 cpio and /proc/kcore - machine reboots!?
RH61 cpio and /proc/kcore - machine reboots!?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: cpio (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: bero
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-26 09:16 EDT by mikko.haapanen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-17 13:43:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mikko.haapanen 1999-10-26 09:16:13 EDT
Hardware: IBM Netfinity 5000, 256MB, ServeRAID
Software: RedHat 6.1, very standard installation

How to crash:

"find / -type f -print | cpio -oc >/dev/null"
or more isolated version:
echo /proc/kcore | cpio -oc >/dev/null

/var/log/messages gets 3 lines:
Oct 26 13:23:21 myyx0002 kernel: Uhhuh. NMI received for
unknown reason 25.
Oct 26 13:23:21 myyx0002 kernel: Dazed and confused, but
trying to continue
Oct 26 13:23:21 myyx0002 kernel: Do you have a strange power
saving mode enabled?

then cpio completes, no errors, back to prompt

then 45 ... 60 seconds and machine reboots itself !!!!!!!!!

IBM Netfinity has system error led, which gets lit at the
same time when "Uhhuh ..." message comes to
/var/log/messages.
Comment 1 Jeff Johnson 1999-12-17 13:43:59 EST
This isn't a cpio problem, but rather a problem in using cpio. There
are files in /proc (and in /dev) that will cause surprises if restored
by cpio. Basically, don't do that ...

Note You need to log in before you can comment on or make changes to this bug.